Bug 140865 - gnome-default-applications-properties does not modify MIME type
gnome-default-applications-properties does not modify MIME type
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-25 16:30 EST by Pete Huckelba
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 11:23:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Huckelba 2004-11-25 16:30:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:


Version-Release number of selected component (if applicable):
2.6.9-1.681_FC3

How reproducible:
Always

Steps to Reproduce:
1.open a terminal and type gnome-default-applications-properties
2.click on the text editor tab
3.try to change the text editor to another editor (IE: gvim)
  

Actual Results:  Error is echoed to the terminal:
(gnome-default-applications-properties:12501): libgnomevfs-WARNING **: Deprecated function.  User modifications to the MIME database are no longer supported.

Expected Results:  The applet should modify the MIME type to use the users preferred application.

Additional info:
Comment 1 Pete Huckelba 2004-11-25 17:40:51 EST
[cph@dini ~]$ gnome-default-applications-properties --version
Gnome gnome-default-applications-properties 2.8.0
Comment 2 Matthew Miller 2006-07-10 17:23:18 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-31 11:23:04 EST
Basically, the new mime system took away support for changing the default text
editor, and upstream gnome-default-applications-property didn't remove that tab
until after 2.8.0:
http://cvs.gnome.org/viewcvs/gnome-control-center/capplets/default-applications/ChangeLog?rev=1.128&view=markup
" 2004-11-26  Sebastien Bacher  <seb128@debian.org>

	* gnome-default-applications-properties.glade: Mask the "Text Editor" 
	tab since it's not used by the new mime system."

Fixed in FC-4 and forwards because that tab isn't visible.

Note You need to log in before you can comment on or make changes to this bug.